<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- xet-01 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
	<tr>
		<td width="44" height="249" style="background-image: url('images/left.gif');"></td>
		<td>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
			        <td width="17" height="249" style="background-image: url('images/header_left.gif');"></td>
			        <td height="249">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td height="30" style="background-image: url('images/header_top_bg.gif');">
					            	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
					            		<tr>
					            			<td align="left" style="padding-left: 55px;"><img src="images/header_top_link.gif" width="86" height="30"/></td>
					            			<td align="right" style="padding-right: 55px;"><img src="images/header_top_link.gif" width="86" height="30"/></td>					            			
					            		</tr>
					            	</table>
								</td>
							</tr>
							<tr>
								<td height="185" align="right" style="background-image: url('images/header_bg.gif');">
									<table width="100%" border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td height="185" style="background-image: url(images/header_left.jpg); background-repeat: no-repeat;">
												<table width="100%" border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td height="185" style="background-image: url(images/header_right.jpg); background-position: right; background-repeat: no-repeat; padding-left:25px; padding-right:200px;">
															<div style="width: 420px; height: 0;"><span></span></div>
															<table width="100%" border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<!--LOGO-->
																	<td width="62"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
																	<!--END LOGO-->
																	<td style="padding-left:5px;">
																		<table width="100%" border="0" cellspacing="0" cellpadding="0">
																			<tr>
																				<!--COMPANY-->
																				<td height="28" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
																				<!--END COMPANY-->
																			</tr>
																			<tr>
																				<!--SLOGAN-->
																				<td height="12" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
																				<!--END SLOGAN-->
																			</tr>
																		</table>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td height="34" style="background-image: url('images/menu_bg.gif');">
									<table width="100%" border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td height="34" style="padding-right:203px; background-image: url(images/header_bottom.jpg); background-position: top right; background-repeat: no-repeat;">
												<table border="0" cellspacing="0" cellpadding="0">
													<tr>
														<!--MENU-->
														<xsl:call-template name="TOP-MENU"/>
														<!--END MENU-->
													</tr>
												</table>
											</td>
							             </tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td width="13" height="249" style="background-image: url('images/header_left.gif');"></td>
				</tr>
			</table>
		</td>
		<td width="46" style="background-image: url('images/right.gif');"></td>
	</tr>
	<tr>
		<td width="44" height="100%" style="background-image: url('images/left.gif');"></td>
		<td>
			<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
				<tr>
					<td width="26" height="26"><img src="images/submenu_top_left.gif" width="26" height="26"/></td>
			        <td width="240" style="background-image: url('images/submenu_top.gif');">
						<div style="width: 140px; height: 0;"><span></span></div>
					</td>
			        <td width="15"><img src="images/submenu_top_right.gif" width="15" height="26"/></td>
			        <td style="background-image: url('images/submenu_top.gif');"><div style="width: 420px; height: 0;"><span></span></div></td>
			        <td width="24"><img src="images/content_top_right.gif" width="24" height="26"/></td>
				</tr>
				<tr>
			        <td width="26" height="100%" style="background-image: url('images/submenu_left.gif');"></td>
			        <td width="240" valign="top" style="background-image: url('images/content_bg.gif'); padding-top:3px; padding-left:9px;">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<!--SUBMENU-->
							<xsl:call-template name="SUB-MENU">
								<xsl:with-param name="pageID" select="@ID"/>                            
							</xsl:call-template> 
							<!--END SUBMENU-->
						</table>
					</td>
					<td width="15" style="background-image: url('images/submenu_right.gif');"></td>
					<td valign="top" style="background-image: url('images/content_bg.gif'); padding: 8px 7px;">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
							<!--TEXT-HEADER-->
								<td width="8"><img src="images/txtheader_bullet.gif" width="8" height="8" border="0"/></td>
								<td style="padding-left:4px; " class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
							<!--END TEXT-HEADER-->
							</tr>
						</table>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td height="5" style="background-image: url('images/content_hr.gif');"></td>
							</tr>
						</table>
						<!--CONTENT-->
				        <table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
							</tr>
						</table>
						<!--END CONTENT-->
					</td>
					<td width="24" style="background-image: url('images/content_right.gif');"></td>
				</tr>
				<tr>
					<td width="26" height="20"><img src="images/footer_top_left.gif" width="26" height="20"/></td>
			        <td width="240" height="20" style="background-image: url('images/submenu_top.gif');"></td>
			        <td width="15" height="20"><img src="images/footer_middle.gif" width="15" height="20"/></td>
			        <td height="20" style="background-image: url('images/submenu_top.gif');"></td>
					<td width="24" height="20"><img src="images/footer_top_right.gif" width="24" height="20"/></td>
		      </tr>
			</table>
		</td>
		<td width="46" style="background-image: url('images/right.gif');"></td>
	</tr>
	<tr>
		<td width="44" height="70" valign="top" style="background-image: url('images/footer_left_bg.gif');"><img src="images/footer_left.gif" width="44" height="80"/></td>
		<td valign="top" style="background-image: url('images/footer_bg.gif'); padding-left:340px;">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<!--FOOTER-->
					<td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
					<!--END FOOTER-->
				</tr>
			</table>
		</td>
		<td width="46" valign="top" style="background-image: url('images/footer_right_bg.gif');"><img src="images/footer_right.gif" width="46" height="84"/></td>
	</tr>
</table>
</body>
</html>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
            <td width="7px"><img src="images/submenu_bullet.gif" width="7px" height="5px" border="0"/></td>
            <td height="30px" class="asubmenu" style="padding-left:6px; "><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
            <td width="7px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="7px" height="5px" border="0"/></a></td>
            <td height="30px" style="padding-left:6px; "><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
	
		
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr background="images/submenu_hr.gif">
            <td height="1px" colspan="2" background="images/submenu_hr.gif"></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
